.\" $NetBSD: iobus.4,v 1.3 2003/05/06 10:46:42 jmmv Exp $
.\"
.\" Copyright (c) 2000 Ben Harris.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 25, 2001
.Dt IOBUS 4 acorn26
.Os
.Sh NAME
.Nm iobus
.Nd Device driver for the I/O bus
.Sh SYNOPSIS
.Cd iobus0 at root
.Sh DESCRIPTION
Systems supported by
.Nx Ns /acorn26
have a 16-bit I/O bus connected to the CPU bus by bi-directional buffers
managed by the IOC.  The
.Nm
driver provides support for this bus.  All
.Nx Ns /acorn26
kernels need this driver.
.Pp
On Archimedes systems, the only device attached at
.Nm
is the IOC.  While MEMC podules are physically
.Nm
devices, they're logically treated as being attached to the IOC.  On
machines with an IOEB, the Universal Peripheral Controller chip is also
attached at
.Nm .
.Sh SEE ALSO
.\" .Xr ioc 4 ,
.Xr podulebus 4
.\" .Xr upc 4
